#include "MenuTextSk1_Player1Joystick.h"

InputSetting_Joystick* MenuTextSk1_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSk1_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_skill_1;
}

std::weak_ptr<Entity> MenuTextSk1_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextSk1_Player1Joystick()
{
	return std::make_shared<MenuTextSk1_Player1Joystick>();
}


